<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_date.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?php include ("../inc/func_txt.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php include ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$orig = strip_tags(trim(@$_POST["ori"]));
		if ($orig == "pr")
			$orig = 1;
		else
			$orig = 0;

		$objet = str_majuscules(strip_tags(trim(@$_POST["objet"])));
		$dest = str_majuscules(strip_tags(trim(@$_POST["dest"])));
		$cat = str_majuscules(strip_tags(trim(@$_POST["cat"])));
		$ste = str_majuscules(strip_tags(trim(@$_POST["ste"])));
		$civil = str_majuscules(strip_tags(trim(@$_POST["civilite"])));
		$prenom = ucwords(strtolower(strip_tags(trim(@$_POST["prenom"]))));
		$nom = str_majuscules(strip_tags(trim(@$_POST["nom"])));
		$adr1 = str_majuscules(strip_tags(trim(@$_POST["adr1"])));
		$adr2 = str_majuscules(strip_tags(trim(@$_POST["adr2"])));
		$dep = str_majuscules(strip_tags(trim(@$_POST["dep"])));
		$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
		$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
		$telf = strip_tags(trim(@$_POST["telf"]));
		$fax = strip_tags(trim(@$_POST["fax"]));
		$telp = strip_tags(trim(@$_POST["telp"]));
		$email = strtolower(strip_tags(trim(@$_POST["email"])));
		$txtdde = strip_tags(trim(@$_POST["txtdde"]));
		
		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$coded = crecode("D");

		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);

		// Ajout de la fiche type de demande
	
		$rech = "INSERT INTO " .TBDDE. " (dde_datecrea,dde_codecrea,dde_datemod,dde_codemod,dde_code,dde_orig,dde_codeddet,dde_codeddec,dde_codedded,dde_ste,dde_civilite,dde_prenom,dde_nom,dde_adr1,dde_adr2,dde_dep,dde_ville,dde_pays,dde_telf,dde_fax,dde_telp,dde_email,dde_txtdde)";
		$rech.= " VALUES ('$datea','$codeuser','$datea','$codeuser','$coded','$orig','$objet','$cat','$dest','$ste','$civil','$prenom','$nom','$adr1','$adr2','$dep','$ville','$pays','$telf','$fax','$telp','$email','$txtdde')";
		$rs = mysql_query($rech) or die(mysql_error());
		mysql_close($conn);
		$msg = "Demande enregistrée.";			

		// Envoi d'email vers le destinataire
		if ($orig == 1)
			envoi_mail("Nouvelle demande","dde","cre","pri","xxx",$coded,"","",TRUE);
		else
			envoi_mail("Nouvelle demande","dde","cre","pub","xxx",$coded,"","",TRUE);

		// Envoi d'email vers l'expéditeur
		envoi_mail("Accusé de réception","dde","ar","xxx","xxx",$coded,"","",TRUE);

		$retourliste = TRUE;
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Demande</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
<body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP 
if ($retourliste == FALSE) 
{ 
?>
	<p align="center">
	<a href="javascript:history.back();">
	Retour &agrave; la saisie
	</a>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="dde_maj.php"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="dde_maj.php" class="annot_gras_it">Retour &agrave; la saisie </a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{ 
?>
	<script type="text/javascript">
	window.setTimeout("location=('index.php');",2000)
	</script>
	<p align="center" class="annot_std_gras">Nous vous remercions de votre demande et ne manquerons pas d'y r&eacute;pondre sous les meilleurs d&eacute;lais </p>
	<p align="center" class="annot_std_it">Retour à l'accueil dans 2 secondes...</p>
	<?PHP } ?>

<?php 
	include_once ("pied.php")
?>

